Get Cart
Returns a storeʼs Cart.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
|Carts|modify|`store_cart`|
|Carts |read-only|`store_cart_read_only`|
|Information & Settings | modify | `store_v2_information`|
|Information & Settings | read-only| `store_v2_information`|
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
cartId
Query parameters
include
* `redirect_urls`: Create a direct link to a cart. This can be used for the /POST request for carts.
* `line_items.physical_items.options`: The cart returns an abbreviated result. Use this to return physical items product options. To return the extended cart object, use in a /POST request.
* `line_items.digital_items.options`: The cart returns an abbreviated result. Use this to return digital items product options. To return the extended cart object, use in a /POST request.
* `promotions.banners`: Returns a list of eligible banners.
Allowed values:
Response
data
A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.
meta
Response metadata.
Errors
404
Not Found Error